A More Secure Ash Advisor Portal

Tim Ringrose   |   December 2021   |   0-minute read
Computer_image

On Saturday, Dec. 4, Ash Brokerage will enforce the use of TLS 1.2 across all our websites and will disable legacy encryption methods.

We are always looking for ways to protect and secure the customers that we serve. Part of that mission includes keeping up with industry security standards and applying updated encryption methods as new methods come available and old methods phase out.

What This Means for You

For most individuals, this change will be seamless as browsers have supported the encryption methods since at least 2013. While TLS 1.2 is mainly an under-the-hood change, it could affect access to our websites if your browser is out of date.

You are able to test compatibility by going to www.ashbrokerage.com and making sure that our website loads, as the change has already been implemented on our website. Here is a list of minimum supported browser versions:

  • Google Chrome: Version 30+ (2013)
  • Mozilla Firefox: Version 27+
  • Microsoft Internet Explorer: Version 11+ (2013)
  • Microsoft Edge: All Versions Supported
  • Apple Safari: Version 7+ (2013)
  • Apple Safari (Mobile): iOS 5+ (2012)

If you have any issues checking browser versions, or have any other concerns or questions, please contact our IT Help Desk at (260) 478-0748.

Tim Ringrose Ash Brokerage IT
About the Author

Tim Ringrose leads the Ash IT team. With a commitment to security and simplicity, Tim's leadership allows Ash Brokerage to continue to be a leader in innovation while making sure every employee and advisor can access the data they need.